# MoneroPHP documentation

This document lists the MoneroPHP classes and their methods.  More detailed documentation (including parameters and their types and return formats and examples) can be found on each class' page.

### Classes

 - [`cryptonote`](#cryptonote-class) ([`src/cryptonote.php`](https://github.com/monero-integrations/monerophp/tree/master/src/cryptonote.php))
 - [`ed25519`](#ed25519-class) ([`src/ed25519.php`](https://github.com/monero-integrations/monerophp/tree/master/src/ed25519.php))
 - [`SHA3`](#SHA3-class) ([`src/SHA3.php`](https://github.com/monero-integrations/monerophp/tree/master/src/SHA3.php))
 - [`base58`](#base58-class) ([`src/base58.php`](https://github.com/monero-integrations/monerophp/tree/master/src/base58.php))

JSON RPC wrappers:

 - [`daemonRPC`](#daemonRPC-class) ([`src/daemonRPC.php`](https://github.com/monero-integrations/monerophp/tree/master/src/daemonRPC.php))
 - [`walletRPC`](#walletRPC-class) ([`src/walletRPC.php`](https://github.com/monero-integrations/monerophp/tree/master/src/walletRPC.php))

## [`cryptonote` class](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md)

*Documentation under development*

 - [`keccak_256`](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md#keccak_256)
 - [`gen_new_hex_seed`](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md#gen_new_hex_seed)
 - [`sc_reduce`](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md#sc_reduce)
 - [`hash_to_scalar`](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md#hash_to_scalar)
 - [`derive_viewKey`](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md#derive_viewKey)
 - [`gen_private_keys`](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md#gen_private_keys)
 - [`pk_from_sk`](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md#pk_from_sk)
 - [`gen_key_derivation`](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md#gen_key_derivation)
 - [`encode_varint`](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md#encode_varint)
 - [`derivation_to_scalar`](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md#derivation_to_scalar)
 - [`stealth_payment_id`](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md#stealth_payment_id)
 - [`txpub_from_extra`](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md#txpub_from_extra)
 - [`derive_public_key`](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md#derive_public_key)
 - [`is_output_mine`](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md#is_output_mine)
 - [`encode_address`](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md#encode_address)
 - [`verify_checksum`](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md#verify_checksum)
 - [`decode_address`](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md#decode_address)
 - [`integrated_addr_from_keys`](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md#integrated_addr_from_keys)
 - [`address_from_seed`](https://github.com/monero-integrations/monerophp/tree/master/docs/cryptonote.md#address_from_seed)

## [`ed25519` class](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md)

*Documentation under development*

 - [`H`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#H)
 - [`pymod`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#pymod)
 - [`expmod`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#expmod)
 - [`inv`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#inv)
 - [`xrecover`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#xrecover)
 - [`edwards`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#edwards)
 - [`scalarmult`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#scalarmult)
 - [`scalarloop`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#scalarloop)
 - [`bitsToString`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#bitsToString)
 - [`dec2bin_i`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#dec2bin_i)
 - [`encodeint`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#encodeint)
 - [`encodepoint`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#encodepoint)
 - [`bit`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#bit)
 - [`publickey`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#publickey)
 - [`Hint`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#Hint)
 - [`signature`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#signature)
 - [`isoncurve`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#isoncurve)
 - [`decodeint`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#decodeint)
 - [`decodepoint`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#decodepoint)
 - [`checkvalid`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#checkvalid)
 - [`scalarmult_base`](https://github.com/monero-integrations/monerophp/tree/master/docs/ed25519.md#scalarmult_base)

## [`SHA3` class](https://github.com/monero-integrations/monerophp/tree/master/docs/SHA3.md)

 - [`init`](https://github.com/monero-integrations/monerophp/tree/master/docs/SHA3.md#init)
 - [`absorb`](https://github.com/monero-integrations/monerophp/tree/master/docs/SHA3.md#absorb)
 - [`absorb`](https://github.com/monero-integrations/monerophp/tree/master/docs/SHA3.md#absorb)
 - [`squeeze`](https://github.com/monero-integrations/monerophp/tree/master/docs/SHA3.md#squeeze)

## [`base58` class](https://github.com/monero-integrations/monerophp/tree/master/docs/base58.md)

 - [`encode`](https://github.com/monero-integrations/monerophp/tree/master/docs/base58.md##encode)
 - [`decode`](https://github.com/monero-integrations/monerophp/tree/master/docs/base58.md##decode)

## [`daemonRPC` class](https://github.com/monero-integrations/monerophp/tree/master/docs/daemonRPC.md)

 - [`getblockcount`](https://github.com/monero-integrations/monerophp/tree/master/docs/daemonRPC.md#getblockcount)
 - [`on_getblockhash`](https://github.com/monero-integrations/monerophp/tree/master/docs/daemonRPC.md#on_getblockhash)
 - [`getblocktemplate`](https://github.com/monero-integrations/monerophp/tree/master/docs/daemonRPC.md#getblocktemplate)
 - [`submitblock`](https://github.com/monero-integrations/monerophp/tree/master/docs/daemonRPC.md#submitblock)
 - [`getlastblockheader`](https://github.com/monero-integrations/monerophp/tree/master/docs/daemonRPC.md#getlastblockheader)
 - [`getblockheaderbyhash`](https://github.com/monero-integrations/monerophp/tree/master/docs/daemonRPC.md#getblockheaderbyhash)
 - [`getblockheaderbyheight`](https://github.com/monero-integrations/monerophp/tree/master/docs/daemonRPC.md#getblockheaderbyheight)
 - [`getblock_by_hash`](https://github.com/monero-integrations/monerophp/tree/master/docs/daemonRPC.md#getblock_by_hash)
 - [`getblock_by_height`](https://github.com/monero-integrations/monerophp/tree/master/docs/daemonRPC.md#getblock_by_height)
 - [`get_connections`](https://github.com/monero-integrations/monerophp/tree/master/docs/daemonRPC.md#get_connections)
 - [`get_info`](https://github.com/monero-integrations/monerophp/tree/master/docs/daemonRPC.md#get_info)
 - [`hardfork_info`](https://github.com/monero-integrations/monerophp/tree/master/docs/daemonRPC.md#hardfork_info)
 - [`setbans`](https://github.com/monero-integrations/monerophp/tree/master/docs/daemonRPC.md#setbans)
 - [`getbans`](https://github.com/monero-integrations/monerophp/tree/master/docs/daemonRPC.md#getbans)

## [`walletRPC` class](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md)

 - [`_transform`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#_transform)
 - [`get_balance`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#get_balance)
 - [`get_address`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#get_address)
 - [`create_address`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#create_address)
 - [`label_address`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#label_address)
 - [`get_accounts`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#get_accounts)
 - [`create_account`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#create_account)
 - [`label_account`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#label_account)
 - [`get_account_tags`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#get_account_tags)
 - [`tag_accounts`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#tag_accounts)
 - [`untag_accounts`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#untag_accounts)
 - [`set_account_tag_description`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#set_account_tag_description)
 - [`get_height`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#get_height)
 - [`transfer`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#transfer)
 - [`transfer_split`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#transfer_split)
 - [`sweep_dust`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#sweep_dust)
 - [`sweep_unmixable`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#sweep_unmixable)
 - [`sweep_all`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#sweep_all)
 - [`sweep_single`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#sweep_single)
 - [`relay_tx`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#relay_tx)
 - [`store`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#store)
 - [`get_payments`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#get_payments)
 - [`get_bulk_payments`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#get_bulk_payments)
 - [`incoming_transfers`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#incoming_transfers)
 - [`query_key`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#query_key)
 - [`view_key`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#view_key)
 - [`spend_key`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#spend_key)
 - [`mnemonic`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#mnemonic)
 - [`make_integrated_address`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#make_integrated_address)
 - [`split_integrated_address`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#split_integrated_address)
 - [`stop_wallet`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#stop_wallet)
 - [`rescan_blockchain`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#rescan_blockchain)
 - [`set_tx_notes`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#set_tx_notes)
 - [`get_tx_notes`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#get_tx_notes)
 - [`set_attribute`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#set_attribute)
 - [`get_attribute`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#get_attribute)
 - [`get_tx_key`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#get_tx_key)
 - [`check_tx_key`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#check_tx_key)
 - [`get_tx_proof`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#get_tx_proof)
 - [`check_tx_proof`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#check_tx_proof)
 - [`get_spend_proof`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#get_spend_proof)
 - [`check_spend_proof`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#check_spend_proof)
 - [`get_reserve_proof`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#get_reserve_proof)
 - [`check_reserve_proof`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#check_reserve_proof)
 - [`get_transfers`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#get_transfers)
 - [`get_transfer_by_txid`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#get_transfer_by_txid)
 - [`sign`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#sign)
 - [`verify`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#verify)
 - [`export_key_images`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#export_key_images)
 - [`import_key_images`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#import_key_images)
 - [`make_uri`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#make_uri)
 - [`parse_uri`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#parse_uri)
 - [`get_address_book`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#get_address_book)
 - [`add_address_book`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#add_address_book)
 - [`delete_address_book`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#delete_address_book)
 - [`rescan_spent`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#rescan_spent)
 - [`start_mining`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#start_mining)
 - [`stop_mining`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#stop_mining)
 - [`get_languages`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#get_languages)
 - [`create_wallet`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#create_wallet)
 - [`open_wallet`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#open_wallet)
 - [`is_multisig`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#is_multisig)
 - [`prepare_multisig`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#prepare_multisig)
 - [`make_multisig`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#make_multisig)
 - [`export_multisig_info`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#export_multisig_info)
 - [`import_multisig_info`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#import_multisig_info)
 - [`finalize_multisig`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#finalize_multisig)
 - [`sign_multisig`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#sign_multisig)
 - [`submit_multisig`](https://github.com/monero-integrations/monerophp/tree/master/docs/walletRPC.md#submit_multisig)
